summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Marco Bonetti2010-07-08 10:29:06 +0200
committer Robby Workman2010-07-08 10:29:06 +0200
commit8a343d2bc35fe6374ca4bc9202b30286177bc871 (patch)
tree396ffa232f0d971ba27552748f51fae4214b959b /network
parentd2b6b528430f2feb9fb87d514dc46289ae3a4961 (diff)
downloadslackbuilds-8a343d2bc35fe6374ca4bc9202b30286177bc871.tar.gz
network/pidgin-sipe: Added (pidgin plugin for Sip Exchange Protocol)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/pidgin-sipe/README10
-rw-r--r--network/pidgin-sipe/pidgin-sipe.SlackBuild99
-rw-r--r--network/pidgin-sipe/pidgin-sipe.info10
-rw-r--r--network/pidgin-sipe/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/network/pidgin-sipe/README b/network/pidgin-sipe/README
new file mode 100644
index 0000000000..8dc17cdb3b
--- /dev/null
+++ b/network/pidgin-sipe/README
@@ -0,0 +1,10 @@
+This project develops a third-party plugin for the Pidgin multi-protocol
+instant messenger. It implements the extended version of SIP/SIMPLE used by
+various products:
+
+* Microsoft Office Communications Server (OCS 2007/2007 R2 and newer)
+* Microsoft Live Communications Server (LCS 2003/2005)
+* Reuters Messaging
+
+With this plugin you should be able to replace your Microsoft Office
+Communicator client with Pidgin.
diff --git a/network/pidgin-sipe/pidgin-sipe.SlackBuild b/network/pidgin-sipe/pidgin-sipe.SlackBuild
new file mode 100644
index 0000000000..d455222d9a
--- /dev/null
+++ b/network/pidgin-sipe/pidgin-sipe.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for pidgin-sipe.
+
+# Copyright 2010-2011 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pidgin-sipe
+VERSION=${VERSION:-1.10.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog HACKING"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/pidgin-sipe/pidgin-sipe.info b/network/pidgin-sipe/pidgin-sipe.info
new file mode 100644
index 0000000000..63dbc88098
--- /dev/null
+++ b/network/pidgin-sipe/pidgin-sipe.info
@@ -0,0 +1,10 @@
+PRGNAM="pidgin-sipe"
+VERSION="1.10.1"
+HOMEPAGE="http://pidgin-sipe.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/sipe/pidgin-sipe-1.10.1.tar.gz"
+MD5SUM="ffeb1f65f5a1fa2b406ef66648d9714d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="rworkman"
diff --git a/network/pidgin-sipe/slack-desc b/network/pidgin-sipe/slack-desc
new file mode 100644
index 0000000000..63871322fc
--- /dev/null
+++ b/network/pidgin-sipe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------|
+pidgin-sipe: pidgin-sipe (pidgin plugin for Sip Exchange Protocol)
+pidgin-sipe:
+pidgin-sipe: With this plugin you should be able to replace your Microsoft
+pidgin-sipe: Office Communicator client with Pidgin.
+pidgin-sipe:
+pidgin-sipe:
+pidgin-sipe:
+pidgin-sipe:
+pidgin-sipe:
+pidgin-sipe:
+pidgin-sipe: